import 'package:chat/routes/auth_routes.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class AuthPage extends StatefulWidget {
  const AuthPage({Key? key}) : super(key: key);

  @override
  State<AuthPage> createState() => _AuthPageState();
}

class _AuthPageState extends State<AuthPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('ZH-CHAT'),
      ),
      body: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: [
              ElevatedButton(
                onPressed: () {
                  Get.toNamed(AuthRoutes.create);
                },
                child: const Text('创建账户'),
              ),
              ElevatedButton(
                onPressed: () {
                  Get.toNamed(AuthRoutes.import);
                },
                child: const Text('导入账户'),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
